> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opscape.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a board



## OpenAPI

````yaml https://opscape.com/api/v1/openapi.json post /workspaces/{workspacePublicId}/boards
openapi: 3.0.0
info:
  title: Kan API
  description: OpenAPI compliant REST API
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /workspaces/{workspacePublicId}/boards:
    post:
      tags:
        - Boards
      summary: Create a board
      operationId: createBoard
      parameters:
        - name: workspacePublicId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBoardDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BoardCreateResponseDto_Output'
      security:
        - bearer: []
components:
  schemas:
    CreateBoardDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 100
          description: Board name.
        lists:
          type: array
          items:
            type: string
            minLength: 1
          description: Names of the lists to create, in order, e.g. ['To do', 'Done'].
        labels:
          type: array
          items:
            type: string
            minLength: 1
          description: Names of the labels to create, e.g. ['Bug', 'Feature'].
        type:
          description: '''regular'' for a board (default), ''template'' for a board template.'
          type: string
          enum:
            - regular
            - template
        sourceBoardPublicId:
          description: Public ID of a board or template to copy lists and labels from.
          type: string
          minLength: 12
      required:
        - name
        - lists
        - labels
    BoardCreateResponseDto_Output:
      type: object
      properties:
        publicId:
          type: string
        name:
          type: string
      required:
        - publicId
        - name
      additionalProperties: false
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.